.grid-actividades {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr)); /* Ajusta el tamaño mínimo de las columnas */
    gap: 20px; /* Espacio entre los elementos */
}

.position-relative {
    overflow: hidden; /* Para ocultar el desbordamiento del zoom */
    border-radius: 30px; /* Bordes redondeados */
}

.overlay-dos {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0; 
    background-color: rgba(14, 3, 111, 0.7); /* Color con opacidad */
    opacity: 0; /* Inicialmente oculto */
    display: flex;
    align-items: center;
    justify-content: center;
    transition: opacity 0.3s ease; /* Transición suave */
    border-radius: 15px; /* Bordes redondeados */
}

.item:hover .overlay-dos {
    opacity: 1; /* Muestra el overlay al pasar el cursor */
}

.overlay-dos .text {
    color: #FFEE36; /* Texto en blanco */
    font-size: 1.5rem; /* Tamaño de fuente (ajusta según sea necesario) */
    text-align: center; /* Centrar texto */
    font-weight: bold;
}

.item img {
    width: 100%;
    height: 100%;
    transition: transform 0.3s ease; /* Transición suave para el zoom */
}

.item:hover img {
    transform: scale(1.5); /* Efecto de zoom */
}

/* Media Queries para Responsividad */

/* Para dispositivos móviles (pantallas pequeñas) */
@media only screen and (max-width: 480px) {
   .overlay-dos .text {
       font-size: 1.2rem; /* Reduce el tamaño del texto en móviles */
   }
}

/* Para tabletas (pantallas medianas) */
@media only screen and (min-width: 481px) and (max-width: 768px) {
   .overlay-dos .text {
       font-size: 1.4rem; /* Ajusta el tamaño del texto en tabletas */
   }
}